checkdirfile(1)

NAME
checkdirfile — verify Dirfile database metadata

SYNOPSIS

checkdirfile DIRFILE

checkdirfile [ --help | --version ]

DESCRIPTION
Report errors in metadata of the dirfile(5) database specified by DIRFILE.

Three separate checks are performed. First, the format specification metadata is scanned for syntax errors (see dirfile-format(5)) and Dirfile Standards compliance. Second, fields defined in the database are checked for self-consistency. Finally, the database is queried for its length.

--help
--version
    Show usage and version information and exit.

SEE ALSO
dirfile(5), dirfile-format(5)